get
https://{host}/v2/userGroup2
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Make sure you have the appropriate access control configured. For more information, see access group documentation.
Example request
curl --location 'https://eu.api.capillarytech.com/v2/userGroup2?id=3918893&primaryUserId=566998132&programDetails=true&expiredPoints=true&expirySchedules=true&gapToUpgradeFor=2&gapToRenewFor=2&companyDetails=true' \
--header 'Authorization: Basic bWFkaHVfcmltYTowZjAwNmZlNGM4ZjFhNmRjMmI2ZDI1N2NkNzI3MjU2YQ==' \
--data ''Query parameters
| Query Parameter | Data type | Description |
|---|---|---|
| externalId | String | This parameter is used to filter user groups by their external identifier. |
| expiredPoints | boolean | This parameter, when set to true, requests that information about points that have expired be included in the response. |
| expirySchedules | boolean | This parameter, when set to true, requests that information about the schedules for point expiry be included in the response. |
| gapToUpgradeFor | Integer | This parameter requests the point gap required for upgrading to the next level for a user group. |
| gapToRenewFor | Integer | This parameter requests the point gap required for renewing the current level for a user group. |
| companyDetails | boolean | This parameter requests details about the company associated with the user group. |
Example response
{
"id": 3918893,
"externalId": "uat_ug_10_txn",
"groupStatus": "ACTIVE",
"fleetGroupUsers": [
{
"userId": 566998132,
"groupId": 3918893,
"defaultGroup": true,
"primaryMember": true,
"active": true
},
{
"userId": 567219877,
"groupId": 3918893,
"defaultGroup": true,
"primaryMember": false,
"active": true
},
{
"userId": 567219954,
"groupId": 3918893,
"defaultGroup": true,
"primaryMember": false,
"active": true
},
{
"userId": 564662499,
"groupId": 3918893,
"defaultGroup": false,
"primaryMember": false,
"active": false
}
],
"createdBy": 75155297,
"createdOn": "2025-11-03T05:23:40Z",
"groupName": "uatUserGroup10Transactions",
"maxGroupSize": 6,
"lifeTimePurchases": 70100,
"expiredPoints": [],
"expirySchedules": [
{
"points": 49500.0,
"expiryDate": "2026-04-27",
"expiryDateISO": "2026-04-27T00:00:00Z",
"programId": 973
},
{
"points": 5000.0,
"expiryDate": "2125-11-03",
"expiryDateISO": "2125-11-03T00:00:00Z",
"programId": 973
}
],
"gapToUpgrade": [
{
"upgradeBasedOn": "CURRENT_POINTS",
"upgradeThreshold": 2000.0,
"customerUpgradeEntityValues": {
"currentValue": 0.0,
"gapToUpgrade": 2000.0,
"valueValidUpto": "2125-11-03"
}
}
],
"gapToRenew": {
"tierExpiryDate": "2125-11-19",
"renewConfirmed": false,
"renewStrategies": []
},
"totalActiveMembers": 3,
"totalExitedMembers": 1,
"pointsSummaries": [
{
"redeemed": 0.0,
"expired": 0.0,
"returned": 0.0,
"adjusted": 0.0,
"lifetimePoints": 54500.0,
"loyaltyPoints": 54500.0,
"userGroup2Id": 3918893,
"currentSlab": "Diamond",
"currentSlabDescription": "Tier 8",
"nextSlab": "",
"nextSlabSerialNumber": -1,
"nextSlabDescription": "",
"slabSNo": 8,
"slabExpiryDate": "2125-11-19T23:59:59Z",
"programId": 973,
"delayedPoints": 0.0,
"delayedReturnedPoints": 0.0,
"delayedExpiredPoints": 0.0,
"totalAvailablePoints": 54500.0,
"totalReturnedPoints": 0.0,
"linkedPartnerPrograms": [],
"programTitle": "DocDemoDefaultProgram",
"programDescription": "Default program for DocDemo",
"programPointsToCurrencyRatio": 1.0,
"upgradeStrategies": [],
"gapToRenewSummary": {
"tierExpiryDate": "2125-11-19",
"renewConfirmed": false,
"renewStrategies": []
},
"pointsContributionToGroup": 0.0
},
{
"redeemed": 0.0,
"expired": 0.0,
"returned": 0.0,
"adjusted": 0.0,
"lifetimePoints": 0.0,
"loyaltyPoints": 0.0,
"userGroup2Id": 3918893,
"currentSlab": "Topaz",
"currentSlabDescription": "Slab 1",
"nextSlab": "Coral",
"nextSlabSerialNumber": 2,
"nextSlabDescription": "Tier 2",
"slabSNo": 1,
"slabExpiryDate": "2125-11-03T23:59:59Z",
"programId": 983,
"delayedPoints": 4000.0,
"delayedReturnedPoints": 0.0,
"delayedExpiredPoints": 0.0,
"totalAvailablePoints": 4000.0,
"totalReturnedPoints": 0.0,
"linkedPartnerPrograms": [],
"programTitle": "Group Loyalty Program",
"programDescription": "Loyalty program for groups",
"programPointsToCurrencyRatio": 1.0,
"upgradeStrategies": [
{
"upgradeBasedOn": "CURRENT_POINTS",
"upgradeThreshold": 2000.0,
"customerUpgradeEntityValues": {
"currentValue": 0.0,
"gapToUpgrade": 2000.0,
"valueValidUpto": "2125-11-03"
}
}
],
"pointsContributionToGroup": 0.0
}
],
"extendedFields": {
"ug_status": "Active",
"usergroup2_automation_extended_field": 25
},
"warnings": [
{
"status": false,
"code": 1656,
"message": "Fleet group do not have a mapped hierarchy"
}
]
}Response parameters
| Key | Data type | Description |
|---|---|---|
| id | Long | The unique identifier for the group. |
| userId | Long | The unique identifier for the user. |
| groupId | Long | The unique identifier for the group to which the user belongs. |
| defaultGroup | boolean | A boolean indicating if this group is the default group for the user. |
| active | boolean | A boolean indicating if the user is currently active. |
| primaryMember | boolean | A boolean indicating if the user is the primary member of the group. |
| externalId | String | The external identifier for the group. |
| groupStatus | Enum | The status of the group. Possible values: |
| fleetGroupUsers | An array of user objects, each with details about a user in the group. | |
| createdBy | Long | The ID of the user who created the group. |
| createdOn | The date and time when the group was created. | |
| groupName | String | The name of the group. |
| maxGroupSize | Long | The maximum size of the group. |
| lifeTimePurchases | Decimal | The total purchases made over the lifetime of the group. |
| expiredPoints | An array containing details about points that have expired. | |
| expirySchedules | An array containing details about the schedules for point expiry. | |
| gapToUpgrade | An array containing details about the gap required to upgrade to the next level. | |
| totalActiveMembers | The total number of active members in the group. | |
| totalExitedMembers | The total number of members who have exited the group. | |
| warnings | An array of warning messages generated during the processing of the request. |
